Package com.castlabs.android.player.models

## Class SideloadedTrack.ThumbnailBuilder

- java.lang.Object
- - com.castlabs.android.player.models.SideloadedTrack.Builder<SideloadedTrack.ThumbnailBuilder>
  - - com.castlabs.android.player.models.SideloadedTrack.ThumbnailBuilder

- Enclosing class:
    SideloadedTrack

      public static final class SideloadedTrack.ThumbnailBuilder
      extends SideloadedTrack.Builder<SideloadedTrack.ThumbnailBuilder>

  Convenience Builder to create a `SideloadedTrack` with the type set to `SideloadedTrack.Type.THUMBNAIL`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThumbnailBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SideloadedTrack.ThumbnailBuilder` | `gridHeight​(long gridHeight)` | Set grid height
    `SideloadedTrack.ThumbnailBuilder` | `gridWidth​(long gridWidth)` | Set grid width
    `SideloadedTrack.ThumbnailBuilder` | `intervalMs​(long intervalMs)` | Set the interval in ms
    `SideloadedTrack.ThumbnailBuilder` | `thumbnailType​(int thumbnailType)` | Set the thumbnail format

    - ### Methods inherited from class com.castlabs.android.player.models.SideloadedTrack.Builder

      `get, mimeType, url`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThumbnailBuilder

          public ThumbnailBuilder()

  - ### Method Detail

    - #### gridWidth

          public SideloadedTrack.ThumbnailBuilder gridWidth​(long gridWidth)

      Set grid width
      Parameters:
        `gridWidth` - value to set
      Returns:
        the Builder

    - #### gridHeight

          public SideloadedTrack.ThumbnailBuilder gridHeight​(long gridHeight)

      Set grid height
      Parameters:
        `gridHeight` - value to set
      Returns:
        the Builder

    - #### intervalMs

          public SideloadedTrack.ThumbnailBuilder intervalMs​(long intervalMs)

      Set the interval in ms
      Parameters:
        `intervalMs` - value to set
      Returns:
        the Builder

    - #### thumbnailType

          public SideloadedTrack.ThumbnailBuilder thumbnailType​(int thumbnailType)

      Set the thumbnail format
      Parameters:
        `thumbnailType` - the format
      Returns:
        the Builder